// WaveOutFile.h: interface for the CWaveOutFile class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_WAVEOUTFILE_H__9E890B54_D6FD_11D2_94A5_00105A97F0C8__INCLUDED_)
#define AFX_WAVEOUTFILE_H__9E890B54_D6FD_11D2_94A5_00105A97F0C8__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

class CWaveOutFile : public CObject  
{
public:
	CWaveOutFile();
	virtual ~CWaveOutFile();

   BOOL Open(CString const & strPath, BOOL const fStereo =FALSE);
   void Close();

   BOOL Write(BYTE const * const pbData, DWORD const cbData);

protected:
   WAVEFORMATEX m_wfxWaveFormat;
   CString m_strPath;
   HMMIO m_hMMIO;

   MMCKINFO m_mmckiWave;
   MMCKINFO m_mmckiData;
};

#endif // !defined(AFX_WAVEOUTFILE_H__9E890B54_D6FD_11D2_94A5_00105A97F0C8__INCLUDED_)
